<script>
  let current = "";
</script>


<style>
.primary{
  background: blue;
}
.secondary{
  background: grey;
}
</style>

{#if current == "messi"}
<button class="btn btn-primary" on:click={() => (current = "messi")}>
  <p>Messi</p>
</button>
{:else}
<button class="btn btn-secondary" on:click={() => (current = "messi")}>
  <p>Messi</p>
</button>
{/if}

{#if current == "ronaldo"}
<button class="btn btn-primary" on:click={() => (current = "ronaldo")}>
  <p>Ronaldo</p>
</button>
{:else}
<button class="btn btn-secondary" on:click={() => (current = "ronaldo")}>
  <p>Ronaldo</p>
</button>
{/if}

{#if current == "neymar"}
<button class="btn btn-primary" on:click={() => (current = "neymar")}>
  <p>Neymar</p>
</button>
{:else}
<button class="btn btn-secondary" on:click={() => (current = "neymar")}>
  <p>Neymar</p>
</button>
{/if}
